.top-bar {
  background-color: rgb(255, 255, 255);
  display: -ms-flexbox;
  display: flex;
  padding: 0 2rem;
  // -ms-grid-columns: (1fr) [3];
  // grid-template-columns: repeat(3, 1fr);
  grid-template-columns: 25vw 46vw 25vw;
    grid-template-rows: auto auto;
  -webkit-box-align: start;
  -ms-flex-align: start;
  align-items: flex-start;
  -webkit-box-pack: justify;
  -ms-flex-pack: justify;
  height: 120px;
  padding: 0 2rem;
  align-items: center;
  justify-content: space-around;
  //border-bottom: 1px solid #080808;
  @include sm(){
    justify-content: space-between;
  }
  .first-header{
    grid-column-start: 2;
    grid-column-end: 2;
    grid-row-start: 1;
    grid-row-end: 1;

    @include md{
      grid-column-start: inherit;
    grid-column-end: inherit;
    }

    .menu-logo{
      margin: auto;
    }
  }

  .action-container
  {
    grid-column-start: 3;
    grid-column-end: 3;
    grid-row-start: 1;
    grid-row-end: 1;
  }

  .menu-item{
    grid-column-start: 2; 
    grid-column-end: 2; 
    grid-row-start: 2; 
    grid-row-end: 2;
  }


  #shop {
    position: relative;
    &::after {
      position: absolute;
      right: -15px;
      top: 4px;
      content: "\f078";
      font-family: fontawesome;
      font-weight: 900;
      font-size: 11px;
      margin-left: 8px;

      @include sm() {
        display: none;
      }
    }
  }
  .header-container {
    @include flex(row, null, center);
    height: 100%;
    position: relative;
    min-height: 70px;

    .search-text{
      margin-right: 1.5rem;
    }

    span{
      font-family: "RALEWAY-REGULAR" !important;
      color: #404040;
      font-size: 1.3rem;
    }

    &.action-container {
      .header-option {
        padding: 0 0.7rem 0 0;
        height: 100%;
        display: flex;
        justify-content: center;
        -webkit-box-align: center;
        -ms-flex-align: center;
        align-items: center;

        @include sm {
          padding: 0;
        }

        ul {
          li {
            a {
              font-size: 1.3rem;
            }
          }
        }

        .search-top-bar {
          @include sm() {
            height: 23px;
            margin-right: 10px;
          }
        }

        .cart-hover {
          height: $header-height;
          position: relative;
          display: flex;
          justify-content: center;
          align-items: center;
          -webkit-box-align: center;
          -ms-flex-align: center;
        }

        .register img,
        .cart-hover img {
          height: 26px;
          margin-bottom: 2px;
          @include sm() {
            height: 25px;
          }
        }
      }
    }

    /*&.first-header{
            @include sm(){
                grid-template-rows: 2fr;
            }
        }*/

    .search-wrapper {
      width: 16rem;
      text-align: right;

      .search_input {
        width: 10rem;
        min-width: 1.8rem;
        box-sizing: border-box;
        border: none;
        font-size: 1.3rem;
        //font-family: Helvetica;
        font-weight: normal;
        -webkit-transition: all 0.4s ease-in-out;
        transition: all 0.4s ease-in-out;
        cursor: pointer;
        //border-bottom: 0.1rem solid $black-abs;
        //border-color: transparent;
        color: $black-abs;
        text-align: left;

        //margin-right: 2.5rem;
        background-color: transparent;
        background-image: url(/content/assets/images/searchicon.png);
        background-position: center left !important;
        background-repeat: no-repeat;
        background-size: 1.4rem;
        //padding-left: 0;
        padding-left: 2rem;

        &::-webkit-input-placeholder {
          text-align: right;
          color: $black-abs;
        }

        @include state() {
          border-bottom: 0.1rem solid $black-abs;
        }
      }
    }

    .logo {
      @include flex();
      width: max-content;
      //margin-top: 1rem;

      @include md{
        margin-top: 0;
      }

      a {
        flex-shrink: 0;

        img {
          height: 8.5rem;

          @include sm() {
            height: 3rem;
            margin-left: 1.5rem;
          }
        }
      }
    }

    .actions {
      display: flex;
      align-items: center;

      .basket {
        //padding: 0 0 0 1.5rem;
        //margin-top: -3px;
        display: flex;

        .basket-item-count {
          position: relative;
          display: flex;
          align-items: center;
          flex-shrink: 0;

          .count {
            position: absolute;
            color: #1dcaca;
            top: 14px;
            right: -6px;
            border-radius: 100px;
            width: 15px;
            height: 15px;
            line-height: 13px;
            font-size: 10px;
            font-weight: bold;
            text-align: center;
            background-color: #fff;
            border: 1px solid #1dcaca;
            font-family: Helvetica;
          }
        }

        @include sm() {
          margin-left: 0.5rem;
        }
      }
    }
  }

  .fix {
    list-style: none;
    @include flex(center, left);
    li {
      &.menu-item {
        text-transform: uppercase;
        padding: 0 1rem;
      }

      a {
        color: #494949;
        font-size: 1.4rem;
        line-height: 15px;
        //display: inline-block;
        white-space: nowrap;
      }

      &:first-child {
        margin-right: 1rem;
      }

      &.border-left {
        padding-left: 0.7rem;
        border-left: 1px solid black;
      }

      &.border-right {
        padding-right: 0.7rem;
        border-right: 1px solid black;
      }
    }
  }

  ul {
    list-style: none;
    display: block;

    li {
      &.menu-item {
        text-transform: uppercase;
        padding: 0 1rem;
      }

      a {
        color: #494949;
        font-size: 1.4rem;
        line-height: 15px;
        //display: inline-block;
        white-space: nowrap;
      }
      &.border-left {
        padding-left: 0.7rem;
        border-left: 1px solid black;
      }
    }
  }

  .navbar-toggle {
    .icon-bar {
      background-color: #b5b5b5;
    }
  }

  @include sm() {
    //border-bottom: 1px solid $black-abs;
    grid-template-columns: repeat(2, 1fr);
    padding: 0 1rem;
    grid-template-rows: 60px;
    height: 60px;
  }
}

.flex-start {
  justify-content: flex-start;
}
.justify-center {
  //grid-column: 1 / 6;
  //justify-content: center !important;
}
.flex-end {
  justify-content: flex-end;
}

.dropdown-toggle {
  position: absolute;
  top: 0;
  right: 0;
  padding: 2px 12px;
  color: #fff;
  text-transform: uppercase;
  background-color: transparent;
  border: none;

  &:after {
    content: "\f107";
    font-family: fontawesome;
    color: $white;
    display: inline-block;
    font-size: 15px;
    line-height: 15px;
    vertical-align: sub;
    margin: 8px 0 0 0;
  }
}

.dropdown-menu {
  position: absolute;
  top: 92%;
  left: 0;
  z-index: 1000;
  display: none;
  float: left;
  min-width: 16rem;
  padding: 1rem;
  margin: 0.2rem 0 0;
  list-style: none;
  background-color: #999;
  background-clip: padding-box;
  /* left: -21rem; */
  min-width: unset;
  width: 20rem;
  border-radius: 0;
  -webkit-box-shadow: 0 0;
  box-shadow: 0 0;
}

.search-mobile {
  display: flex;
  justify-content: center;
  width: 100%;
}
.mobile-search {
  position: fixed;
  height: 36px;
  //top: $top-banner-height;
  top: $header-height;
  left: 0px;
  padding: 0px 15px;
  z-index: 9999999;
  width: 100%;
  background-color: rgba(243, 243, 243, 1);
  display: flex;
  align-items: center;

  .busqueda {
    width: calc(88vw - 25px);
    border: 0;
    border-bottom: 1px solid #888;
    background-color: rgba(243, 243, 243, 1);
    font-size: 15px;
    color: Black;
  }
}

body {
  width: 100%;
  height: 100%;
}

$brand: white;
$speed: 0.5s;

.search {
    position: absolute;
    top: 50%;
    left: 50%;
    margin-left: -300px;
    margin-top: -54px;
    width: 600px;
}

svg {
    position: absolute;
    transform: translateX(-246px);
    width: 600px;
    height: auto;
    stroke-width: 8px;
    stroke: $brand;
    stroke-width: 1px;
    stroke-dashoffset: 0;
    stroke-dasharray: 64.6 206.305;
    transition: all 0.5s ease-in-out;
    stroke-linejoin: round;
    stroke-linecap: round;
}

.input-search {
    position: absolute;
    width: calc(100% - 148px);
    height: 64px;
    top: 0;
    right: 20px;
    bottom: 0;
    left: 0;
    border: none;
    background-color: transparent;
    outline: none;
    padding: 20px;
    font-size: 50px;
    color: $brand;
}

.search-label {
    position: absolute;
    display: block;
    width: 108px;
    height: 108px;
    top: 0;
    left: 50%;
    margin-left: -54px;
    z-index: 100;
    transition: $speed ease-in-out;
}

.isActive {
    .search-label {
        transform: translateX(246px);
    }
    svg {
        stroke-dashoffset: -65;
        stroke-dasharray: 141.305 66;
        transform: translateX(0);
    }
    &.full svg {
        stroke-dashoffset: -65;
        stroke-dasharray: 141.305 66;
        transform: translateX(0);
    }
}

.full {
    .search-label {
        transform: translateX(246px);
    }
    svg {
        stroke-dashoffset: 0;
        stroke-dasharray: 64.6 206.305;
        transform: translateX(0);
    }
}